Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002950TestLinkAPI - XMLRPCpublic2009-11-11 06:042010-05-01 20:34
Reporterabadve 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9 Beta 2 
Summary0002950: TL API functions only seem to work with PHP client and not any other clients
DescriptionHello all

Is this a feature or a bug? When I pass the same argumentvalues to reportTCResult or any other function it seems to work using PHP but if I try other languages I get error messages or different response. Except the sayHello method I haven't got any other method working of the API with other language clients. let me know if there is anything in the TL API code which stops it from using other programming language clients.

Thanks
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0008259)
fman (administrator)
2009-11-11 18:08

API wokr with every client written using last API spec.
I will only maintain PHP examples.
(0008269)
abadve (reporter)
2009-11-12 09:07

ok thanks but then when I use the same testcaseid and all the same arguments in my function call
reportTCResult client in PHP returns the below array
Test - Call with valid parameters: testPlanID,testCaseExternalID,buildName
(
    [0] => Array
        (
            [status] => 1
            [id] => 8
            [message] => Success!
            [operation] => reportTCResult
        )

)

and my Lua client example returns
message "No Test Case ID (internal id) provided".

Any clues what might be happening.
(0008274)
fman (administrator)
2009-11-12 14:31

Sorry no idea, you need to start adding debug on PHP part
(0008284)
abadve (reporter)
2009-11-13 10:08

Thanks for pointing me to documentation and examples. I have managed to debug my Lua client using PHP code and trying it out. It is working now.
(0008286)
fman (administrator)
2009-11-13 14:12

Great!, now that you can solve your problems would you mid to contribute your code to be added in next releases as new examples in different language, to help community ?
just upload here in zip or tgz format
(0008295)
abadve (reporter)
2009-11-14 06:36

I will be more than happy to contribute.For sample examples in other languages you have provided only one function as an example reportTC result. Do you want me to provide a similar example in Lua? However please note I am using Lua-XML RPC module in my code to make the RPC call to testlink server. Is it okay to send that I do not know what license rules are for posting online. It looks okay to me. Below is the link. If you are okay with it, I can send the reportTC result example along with the xmlrpc module file to you.
http://www.keplerproject.org/luaxmlrpc/ [^]
Thanks a lot.

- Issue History
Date Modified Username Field Change
2009-11-11 06:04 abadve New Issue
2009-11-11 18:08 fman Note Added: 0008259
2009-11-12 09:07 abadve Note Added: 0008269
2009-11-12 14:31 fman Note Added: 0008274
2009-11-13 10:08 abadve Note Added: 0008284
2009-11-13 14:12 fman Note Added: 0008286
2009-11-13 14:12 fman Status new => assigned
2009-11-13 14:12 fman Assigned To => fman
2009-11-14 06:36 abadve Note Added: 0008295
2009-12-08 18:50 fman Status assigned => resolved
2009-12-08 18:50 fman Fixed in Version => 1.9 (DEV)
2009-12-08 18:50 fman Resolution open => fixed
2010-05-01 20:34 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker